Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class SortFilterContentEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gmf.runtime.diagram.ui.editpolicies.SortFilterContentEditPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

public abstract class SortFilterContentEditPolicy
extends AbstractEditPolicy

EditPolicy which contributes `SortFilterPage` content to the `SortFilterDialog`.

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`SortFilterContentEditPolicy()`

Method Summary
`abstract java.util.List` `getCollectionColumns()` Implement to return a `List` of `SortFilterCollectionColumn`s which are used to define the `SortFilterDialog` table.
`Command` `getCommand(Request request)` Adds the `SortFilterPage` to the `SortFilterDialog` given if the provided implementation has content.
`java.lang.String` `getCompartmentLabel()` Override to return the label for the compartment other than the one provided by `ResizableCompartmentEditPart.getTitleName()`.
`abstract java.util.List` `getContents()` Implement to return a `List` of `SortFilterElement`s which are used to define the `SortFilterDialog` tables content.
`java.util.Map` `getFilter()` Override to return a filter this SortFilterPage.
`java.lang.String` `getFilterColumn()` Override to return the column to which the filter applies.
`java.util.List` `getHiddenContents()` Override to return a list of elements that are hidden by other means.
`abstract SortFilterLabelProvider` `getLabelProvider()` Implement to return a `SortFilterLabelProvider` for for the compartment.
`boolean` `understandsRequest(Request request)` Returns `true` if the request is a REQ_SORT_FILTER_CONTENT type.

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getHost, getTargetEditPart, setHost, showSourceFeedback, showTargetFeedback, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SortFilterContentEditPolicy

    public SortFilterContentEditPolicy()

Method Detail

### understandsRequest

    public boolean understandsRequest(Request request)

  Returns `true` if the request is a REQ_SORT_FILTER_CONTENT type.

  Returns:
    `true` if the request is a REQ_SORT_FILTER_CONTENT type and `false` otherwise.

### getCommand

    public Command getCommand(Request request)

  Adds the `SortFilterPage` to the `SortFilterDialog` given if the provided implementation has content.

  Parameters:
    `request` - the `SortFilterContentRequest`
  Returns:
    null Does not return a `Command`

### getCompartmentLabel

    public java.lang.String getCompartmentLabel()

  Override to return the label for the compartment other than the one provided by `ResizableCompartmentEditPart.getTitleName()`.

  Returns:
    the compartment label

### getCollectionColumns

    public abstract java.util.List getCollectionColumns()

  Implement to return a `List` of `SortFilterCollectionColumn`s which are used to define the `SortFilterDialog` table.

  Returns:
    the collection columns.

### getLabelProvider

    public abstract SortFilterLabelProvider getLabelProvider()

  Implement to return a `SortFilterLabelProvider` for for the compartment. The `SortFilterLabelProvider` provides the content for the SortFilterDialog table.

  Returns:
    `SortFilterLabelProvider`

### getContents

    public abstract java.util.List getContents()

  Implement to return a `List` of `SortFilterElement`s which are used to define the `SortFilterDialog` tables content.

  Returns:
    the collection of `SortFilterElement`s

### getHiddenContents

    public java.util.List getHiddenContents()

  Override to return a list of elements that are hidden by other means. The items in this list will not be displayed in the sort/filter dialog, and will remain in the ID_FILTERED_OBJECTS list when changes to the sort/filter are applied.

  Returns:
    a list if items not to be displayed in the sort/filter dialog.

### getFilter

    public java.util.Map getFilter()

  Override to return a filter this SortFilterPage.

  Returns:
    the filter map

### getFilterColumn

    public java.lang.String getFilterColumn()

  Override to return the column to which the filter applies.

  Returns:
    the filter column

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.